<?xml version="1.0" encoding="utf-8"?>
<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://doctrine-project.org/schemas/orm/doctrine-mapping http://doctrine-project.org/schemas/orm/doctrine-mapping.xsd">
  <entity name="MDR\PuntoVentaBundle\Entity\IntranetNoticias" table="IntranetNoticias" repository-class="MDR\PuntoVentaBundle\Entity\Repositories\IntranetNoticiasRepository">
    <indexes>
      <index name="IDX_2C4BBFD8EDD889C1" columns="Usuario"/>
    </indexes>
    <id name="idnoticia" type="integer" column="idNoticia">
      <generator strategy="IDENTITY"/>
    </id>
    <field name="Imagen" type="string" column="Imagen" length="250" nullable="true"/>
    <field name="TituloNoticia" type="string" column="TituloNoticia" length="250" nullable="false"/>
    <field name="Noticia" type="string" column="Noticia" length="700" nullable="false"/>
    <field name="URL" type="string" column="Url" length="250" nullable="true"/>
    <field name="FechaInicio" type="datetime" column="FechaInicio" nullable="false"/>
    <field name="FechaFin" type="datetime" column="FechaFin" nullable="false"/>
    <field name="TipoNoticia" type="string" column="TipoNoticia" length="100" nullable="false"/>
    <many-to-one field="Usuario" target-entity="Usuario">
      <join-columns>
        <join-column name="Usuario" referenced-column-name="uNumero"/>
      </join-columns>
    </many-to-one>
  </entity>
</doctrine-mapping>
